
From: Anton Blanchard <anton@samba.org>

Reduce stack overflow check to 4096 bytes free, we were tripping it
too much at 8192.


---

 25-akpm/arch/ppc64/kernel/irq.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/irq.c~ppc64-irq_stackwarn_reduction arch/ppc64/kernel/irq.c
--- 25/arch/ppc64/kernel/irq.c~ppc64-irq_stackwarn_reduction	2004-03-14 15:32:31.998438240 -0800
+++ 25-akpm/arch/ppc64/kernel/irq.c	2004-03-14 15:32:32.001437784 -0800
@@ -577,13 +577,13 @@ int do_IRQ(struct pt_regs *regs)
 	irq_enter();
 
 #ifdef CONFIG_DEBUG_STACKOVERFLOW
-	/* Debugging check for stack overflow: is there less than 8KB free? */
+	/* Debugging check for stack overflow: is there less than 4KB free? */
 	{
 		long sp;
 
 		sp = __get_SP() & (THREAD_SIZE-1);
 
-		if (unlikely(sp < (sizeof(struct thread_info) + 8192))) {
+		if (unlikely(sp < (sizeof(struct thread_info) + 4096))) {
 			printk("do_IRQ: stack overflow: %ld\n",
 				sp - sizeof(struct thread_info));
 			dump_stack();

_
